dnl----- Common files distribution --------------------------- *@--NOTICE--@*
dnl
dnl $Id: aclocal.glob,v 1.1 1997/08/12 21:22:58 mdw Exp $

dnl --- *@-AM_INIT_AUTOMAKE-@*
dnl
dnl Author:	Unknown
dnl
dnl Synopsis:	AM_INIT_AUTOMAKE(PACKAGE, VERSION, [NO-DEFINE])
dnl
dnl Arguments:	PACKAGE = package name
dnl		VERSION = version number
dnl		NO-DEFINE = if set, don't define package and version number
dnl
dnl Use:	Do all the work for Automake.  This macro actually does too
dnl		much -- some checks are only needed if your package does
dnl		certain things.  But this isn't really a big deal.

# serial 1

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AM_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE")
AC_DEFINE_UNQUOTED(VERSION, "$VERSION"))
AM_SANITY_CHECK
AC_ARG_PROGRAM
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_PROG_MAKE_SET])

dnl --- *@-AM_PROG_INSTALL-@* ---
dnl
dnl Author:	Franc,ois Pinard
dnl
dnl Synopsis:	AM_PROG_INSTALL
dnl
dnl Arguments:	---
dnl
dnl Use:	Calls `AC_PROG_INSTALL' to find an installer.  Then it sets
dnl		`INSTALL_SCRIPT' to a suitable value if necessary.

# serial 1

AC_DEFUN(AM_PROG_INSTALL,
[AC_PROG_INSTALL
test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL} -m 755'
AC_SUBST(INSTALL_SCRIPT)dnl
])

dnl --- *@-AM_MISSING_PROG-@* ---
dnl
dnl Author:	Unknown
dnl
dnl Synopsis:	AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl
dnl Arguments:	NAME = variable to set to the file's location
dnl		PROGRAM = name of program to find
dnl		DIRECTORY = directory to look in
dnl
dnl Use:	Fakes existence of a useful GNU maintainer tool.

AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

dnl --- *@-AM_SANITY_CHECK-@*
dnl
dnl Author:	Unknown
dnl
dnl Synopsis:	AM_SANITY_CHECK
dnl
dnl Arguments:	---
dnl
dnl Use:	Check for build environment sanity.

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "$@" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl --- *@-mdw_GCC_FLAGS-@* ---
dnl
dnl Author:	Mark Wooding
dnl
dnl Synopsis:	mdw_GCC_FLAGS([FLAGS], [CFLAGS], [C++FLAGS])
dnl
dnl Arguments:	FLAGS = GCC compiler flags to add (default is 
dnl			`-pedantic -Wall')
dnl		CFLAGS = GCC C compiler flags to add (default is empty)
dnl		C++FLAGS = GCC C++ compiler flags to add (default is
dnl			`-fhandle-exceptions').
dnl
dnl Use:	If the C compiler is GCC, add the compiler flags.

AC_DEFUN(mdw_GCC_FLAGS,
[if test "$GCC" = "yes"; then
  CFLAGS="$CFLAGS ifelse([$1], [], [-pedantic -Wall], [$1])"
  CFLAGS="$CFLAGS ifelse([$2], [], [], [$2])"
fi
if test "$GXX" = "yes"; then
  CXXFLAGS="$CXXFLAGS ifelse([$1], [], [-pedantic -Wall], [$1])"
  CXXFLAGS="$CXXFLAGS ifelse([$3], [], [-fhandle-exceptions], [$3])"
fi])

